package sexpression;

public class AtSignExpression extends SExpression {

    private SExpression expression;

    public AtSignExpression(SExpression expression) {
        this.expression = expression;
    }

    public SExpression getExpression() {
        return expression;
    }

    @Override
    public boolean isAtSign() {
        return true;
    }

    @Override
    public String toString() {
        return "@" + expression;
    }

}
